kind: pipeline
type: docker
name: default

steps:
  - name: maven_test
    image: maven:3.8.6-openjdk-18
    commands:
      - cd Odds
      - mvn clean verify sonar:sonar -Dsonar.projectKey=Odds -Dsonar.host.url=http://nordh.xyz:9088 -Dsonar.login=5256c9b775dccbf7e264e2ef60af7cd181d52d4b
      - mvn clean install
      - cd ..
      - cd OddsJavaFx
      - mvn clean verify sonar:sonar -Dsonar.projectKey=OddsFx -Dsonar.host.url=http://nordh.xyz:9088 -Dsonar.login=98433ea0ae6483d8cba5303c9a925e4a4383de1f
